local C = C[ "core" ]

if not C[ "uiscale" ].enable == true then return end

local onEvent = {}

local widgetsSystem = widgetsSystem
local stateMainForm = stateMainForm

local placement = stateMainForm:GetPlacementPlain()

onEvent[ "EVENT_UPDATE_SHRINK_RATIO" ] = function()

    widgetsSystem:SetShrinkRatio( C[ "uiscale" ].scale )
    
end

onEvent[ "EVENT_POS_CONVERTER_CHANGED" ] = function()

    stateMainForm:SetPlacementPlain( placement )

end

local function RegisterEventHandlers( handlers )

    for event, handler in handlers do
        common.RegisterEventHandler( handler, event )
    end
    
end

local function Init()

	-- register events
	RegisterEventHandlers( onEvent )
    
    -- init
    userMods.SendEvent( "EVENT_UPDATE_SHRINK_RATIO", {} )
    
end

Init()